### File

`packages/components/directives/eui-scroll-handler.directive.ts`

### Implements

`OnInit`

### Metadata

Selector | `[euiScrollHandler]`

### Index

###### Properties
appHeaderHeight navIsFixed
###### Methods
onWindowScroll
###### Inputs
euiScrollHandler
###### HostListeners
window:scroll

### Inputs

euiScrollHandler
Type : `boolean`
Default value : `false`

### HostListeners

window:scroll

### Methods

onWindowScroll
`onWindowScroll()`
Decorators : `@HostListener('window:scroll', undefined)`
Returns : `void`

### Properties

appHeaderHeight
Type : `number`
Default value : `0`

navIsFixed
Default value : `false`

# results matching ""

# No results matching ""